package parser;

/**
 * The base class for all types of nodes in an evaluation tree generated by
 * parsing an expression string.
 * 
 * @author Curran Kelleher
 * 
 */
public abstract class ExpressionNode {

	/**
	 * Evaluates this ExpressionNode and returns the resulting value.
	 * 
	 * @return The value resulting from the evaluation of this ExpressionNode.
	 */
	public abstract Value evaluate();

}
